tigase.jaxmpp.core.client.xmpp.modules.socks5

## Class StreamhostUsedCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.socks5.StreamhostUsedCallback

- All Implemented Interfaces:
    AsyncCallback

      public abstract class StreamhostUsedCallback
      extends Object
      implements AsyncCallback

  Author:
    andrzej

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamhostUsedCallback()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Streamhost>` | `getHosts()`
    `abstract void` | `onError(Exception ex, String errorText)`
    `void` | `onError(Stanza responseStanza, XMPPException.ErrorCondition error)` Called when received response has type error.
    `void` | `onSuccess(Stanza responseStanza)` Called when received response has type result.
    `abstract boolean` | `onSuccess(Streamhost host)`
    `void` | `onTimeout()` Called when response wasn't received in given time.
    `void` | `setHosts(List<Streamhost> hosts)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamhostUsedCallback

          public StreamhostUsedCallback()

  - ### Method Detail

    - #### getHosts

          public List<Streamhost> getHosts()

    - #### setHosts

          public void setHosts(List<Streamhost> hosts)

    - #### onError

          public abstract void onError(Exception ex,
                                       String errorText)

    - #### onError

          public void onError(Stanza responseStanza,
                              XMPPException.ErrorCondition error)
                       throws JaxmppException

      Description copied from interface: `AsyncCallback`
      Called when received response has type error.
      Specified by:
        `onError` in interface `AsyncCallback`
      Parameters:
        `responseStanza` - received IQ stanza
        `error` - error condition
      Throws:
        `JaxmppException`

    - #### onSuccess

          public void onSuccess(Stanza responseStanza)
                         throws JaxmppException

      Description copied from interface: `AsyncCallback`
      Called when received response has type result.
      Specified by:
        `onSuccess` in interface `AsyncCallback`
      Parameters:
        `responseStanza` - received stanza
      Throws:
        `JaxmppException`

    - #### onSuccess

          public abstract boolean onSuccess(Streamhost host)

    - #### onTimeout

          public void onTimeout()
                         throws JaxmppException

      Description copied from interface: `AsyncCallback`
      Called when response wasn't received in given time.
      Specified by:
        `onTimeout` in interface `AsyncCallback`
      Throws:
        `JaxmppException`

Copyright © 2006–2022 Tigase. All rights reserved.